# --------------------------------------------------------
# Host:                         127.0.0.1
# Server version:               5.1.33-community
# Server OS:                    Win32
# HeidiSQL version:             6.0.0.3603
# Date/time:                    2011-05-24 13:46:41
# --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

# Dumping structure for table q.admins
CREATE TABLE IF NOT EXISTS `admins` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) DEFAULT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.class_rooms
CREATE TABLE IF NOT EXISTS `class_rooms` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class_code` int(10) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY (`class_code`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.config
CREATE TABLE IF NOT EXISTS `config` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `conf_name` varchar(50) NOT NULL,
  `conf_value` varchar(50) NOT NULL,
  `extra_par1` varchar(50) DEFAULT NULL,
  `extra_par2` varchar(50) DEFAULT NULL,
  `extra_par3` varchar(50) DEFAULT NULL,
  `extra_par4` varchar(50) DEFAULT NULL,
  `extra_par5` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.enzebat
CREATE TABLE IF NOT EXISTS `enzebat` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `st_code` bigint(20) unsigned NOT NULL,
  `date` varchar(20) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_enzebat_students` (`st_code`),
  CONSTRAINT `FK_enzebat_students` FOREIGN KEY (`st_code`) REFERENCES `students` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.final_marks
CREATE TABLE IF NOT EXISTS `final_marks` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `mark` float NOT NULL,
  `st_code` bigint(20) unsigned NOT NULL,
  `lesson_code` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_final_marks_students` (`st_code`),
  KEY `FK_final_marks_lessons` (`lesson_code`),
  CONSTRAINT `FK_final_marks_lessons` FOREIGN KEY (`lesson_code`) REFERENCES `lessons` (`code`),
  CONSTRAINT `FK_final_marks_students` FOREIGN KEY (`st_code`) REFERENCES `students` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.lessons
CREATE TABLE IF NOT EXISTS `lessons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` int(10) unsigned NOT NULL,
  `fa_name` varchar(100) NOT NULL,
  `max_mark` float unsigned DEFAULT '20',
  `acceptable_mark` float unsigned DEFAULT '10',
  `units_count` tinyint(2) unsigned NOT NULL,
  PRIMARY KEY (`code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.lesson_room_time
CREATE TABLE IF NOT EXISTS `lesson_room_time` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `room_lesson_id` int(10) unsigned NOT NULL,
  `day_of_week` tinyint(2) unsigned NOT NULL,
  `zang` tinyint(2) unsigned NOT NULL,
  `fixed` tinyint(1) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_lesson_room_time_room_lessons` (`room_lesson_id`),
  CONSTRAINT `FK_lesson_room_time_room_lessons` FOREIGN KEY (`room_lesson_id`) REFERENCES `room_lessons` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.mail_ip
CREATE TABLE IF NOT EXISTS `mail_ip` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(20) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.marks_history
CREATE TABLE IF NOT EXISTS `marks_history` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `st_code` bigint(20) unsigned NOT NULL DEFAULT '0',
  `teacher_code` int(10) unsigned NOT NULL DEFAULT '0',
  `mark` float NOT NULL DEFAULT '0',
  `lesson_code` int(10) unsigned NOT NULL,
  `max_mark` int(10) DEFAULT '20',
  `date` datetime DEFAULT NULL,
  `description` varchar(250) COLLATE utf8_persian_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_marks_history_teachers` (`teacher_code`),
  KEY `FK_marks_history_lessons` (`lesson_code`),
  KEY `FK_marks_history_students` (`st_code`),
  CONSTRAINT `FK_marks_history_lessons` FOREIGN KEY (`lesson_code`) REFERENCES `lessons` (`code`),
  CONSTRAINT `FK_marks_history_students` FOREIGN KEY (`st_code`) REFERENCES `students` (`personal_code`),
  CONSTRAINT `FK_marks_history_teachers` FOREIGN KEY (`teacher_code`) REFERENCES `teachers` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci;

# Data exporting was unselected.


# Dumping structure for table q.news
CREATE TABLE IF NOT EXISTS `news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` varchar(50) NOT NULL,
  `title` varchar(250) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.parents
CREATE TABLE IF NOT EXISTS `parents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.room_lessons
CREATE TABLE IF NOT EXISTS `room_lessons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `lesson_code` int(10) unsigned NOT NULL,
  `teacher_code` int(10) unsigned NOT NULL,
  `room_code` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_room_lessons_lessons` (`lesson_code`),
  KEY `FK_room_lessons_teachers` (`teacher_code`),
  KEY `FK_room_lessons_class_rooms` (`room_code`),
  CONSTRAINT `FK_room_lessons_class_rooms` FOREIGN KEY (`room_code`) REFERENCES `class_rooms` (`class_code`),
  CONSTRAINT `FK_room_lessons_lessons` FOREIGN KEY (`lesson_code`) REFERENCES `lessons` (`code`),
  CONSTRAINT `FK_room_lessons_teachers` FOREIGN KEY (`teacher_code`) REFERENCES `teachers` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.sms_list
CREATE TABLE IF NOT EXISTS `sms_list` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `from` varchar(20) NOT NULL,
  `to` varchar(20) NOT NULL,
  `date_time` datetime NOT NULL,
  `text` text NOT NULL,
  `time_stamp` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.students
CREATE TABLE IF NOT EXISTS `students` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` bigint(20) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  `room_code` int(10) unsigned DEFAULT NULL,
  `parent_code` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`),
  KEY `FK_students_class_rooms` (`room_code`),
  KEY `FK_students_parents` (`parent_code`),
  CONSTRAINT `FK_students_class_rooms` FOREIGN KEY (`room_code`) REFERENCES `class_rooms` (`class_code`),
  CONSTRAINT `FK_students_parents` FOREIGN KEY (`parent_code`) REFERENCES `parents` (`personal_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.


# Dumping structure for table q.teachers
CREATE TABLE IF NOT EXISTS `teachers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `personal_code` int(10) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `familly` varchar(30) NOT NULL,
  `email` varchar(60) DEFAULT NULL,
  `password` varchar(100) NOT NULL,
  `mobile` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`personal_code`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

# Data exporting was unselected.
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
