-- Database Export Class----------------- 
-- Database Name inecco_mark----------------- 
-- Class Created BY Very Shafrudin--------------- 
-- Struktur Tabel admins -------------------- 
CREATE TABLE IF NOT EXISTS `admins` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`personal_code` int(10) unsigned NOT NULL , 
`name` varchar(20) NOT NULL , 
`familly` varchar(30) NOT NULL , 
`email` varchar(60) NULL , 
`password` varchar(100) NULL , 
`mobile` varchar(15) NULL  , 
PRIMARY KEY (`personal_code`), 
UNIQUE KEY `id` (`id`) 
 ); 
-- Data Tabel admins -------------------- 
-- Struktur Tabel class_rooms -------------------- 
CREATE TABLE IF NOT EXISTS `class_rooms` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`class_code` int(10) unsigned NOT NULL , 
`name` varchar(30) NOT NULL  , 
PRIMARY KEY (`class_code`), 
UNIQUE KEY `name` (`name`), 
UNIQUE KEY `id` (`id`) 
 ); 
-- Data Tabel class_rooms -------------------- 
INSERT INTO `class_rooms` (`id`, `class_code`, `name` ) VALUES ('3','100','مبانی' ); -- Struktur Tabel config -------------------- 
CREATE TABLE IF NOT EXISTS `config` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`conf_name` varchar(50) NOT NULL , 
`conf_value` varchar(50) NOT NULL , 
`extra_par1` varchar(50) NULL , 
`extra_par2` varchar(50) NULL , 
`extra_par3` varchar(50) NULL , 
`extra_par4` varchar(50) NULL , 
`extra_par5` varchar(50) NULL  , 
PRIMARY KEY (`id`) 
 ); 
-- Data Tabel config -------------------- 
-- Struktur Tabel enzebat -------------------- 
CREATE TABLE IF NOT EXISTS `enzebat` ( 
 `id` int(10) NOT NULL auto_increment, 
`st_code` bigint(20) unsigned NOT NULL , 
`date` varchar(20) NOT NULL , 
`desc` text NOT NULL  , 
PRIMARY KEY (`id`), 
KEY `FK_enzebat_students` (`st_code`) 
 ); 
-- Data Tabel enzebat -------------------- 
-- Struktur Tabel final_marks -------------------- 
CREATE TABLE IF NOT EXISTS `final_marks` ( 
 `id` int(10) NOT NULL auto_increment, 
`mark` float NOT NULL , 
`st_code` bigint(20) unsigned NOT NULL , 
`lesson_code` int(10) unsigned NOT NULL  , 
PRIMARY KEY (`id`), 
KEY `FK_final_marks_students` (`st_code`), 
KEY `FK_final_marks_lessons` (`lesson_code`) 
 ); 
-- Data Tabel final_marks -------------------- 
INSERT INTO `final_marks` (`id`, `mark`, `st_code`, `lesson_code` ) VALUES ('1','15','990','120' ), 
 ('2','9','990','120' ), 
 ('3','4','990','120' ), 
 ('4','18','990','120' ); 
 -- Struktur Tabel lesson_room_time -------------------- 
CREATE TABLE IF NOT EXISTS `lesson_room_time` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`room_lesson_id` int(10) unsigned NOT NULL , 
`day_of_week` tinyint(2) unsigned NOT NULL , 
`zang` tinyint(2) unsigned NOT NULL , 
`fixed` tinyint(1) unsigned NOT NULL  , 
PRIMARY KEY (`id`), 
KEY `FK_lesson_room_time_room_lessons` (`room_lesson_id`) 
 ); 
-- Data Tabel lesson_room_time -------------------- 
INSERT INTO `lesson_room_time` (`id`, `room_lesson_id`, `day_of_week`, `zang`, `fixed` ) VALUES ('1','2',NULL,NULL,NULL ), 
 ('2','2',NULL,NULL,NULL ), 
 ('3','2',NULL,NULL,NULL ), 
 ('4','2',NULL,NULL,NULL ), 
 ('5','2',NULL,NULL,NULL ), 
 ('6','2',NULL,NULL,NULL ), 
 ('7','2',NULL,NULL,NULL ), 
 ('8','2',NULL,NULL,NULL ), 
 ('9','2',NULL,NULL,NULL ), 
 ('10','2',NULL,NULL,NULL ), 
 ('11','2',NULL,NULL,NULL ), 
 ('12','2',NULL,NULL,NULL ), 
 ('13','2',NULL,NULL,NULL ), 
 ('14','2',NULL,NULL,NULL ), 
 ('15','2',NULL,NULL,NULL ), 
 ('16','2',NULL,NULL,NULL ), 
 ('17','2',NULL,NULL,NULL ), 
 ('18','2',NULL,NULL,NULL ), 
 ('19','2',NULL,NULL,NULL ); 
 -- Struktur Tabel lessons -------------------- 
CREATE TABLE IF NOT EXISTS `lessons` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`code` int(10) unsigned NOT NULL , 
`fa_name` varchar(100) NOT NULL , 
`max_mark` float unsigned NULL , 
`acceptable_mark` float unsigned NULL , 
`units_count` tinyint(2) unsigned NOT NULL  , 
PRIMARY KEY (`code`), 
UNIQUE KEY `id` (`id`) 
 ); 
-- Data Tabel lessons -------------------- 
INSERT INTO `lessons` (`id`, `code`, `fa_name`, `max_mark`, `acceptable_mark`, `units_count` ) VALUES ('1','120','دوره اول','20','20','20' ); -- Struktur Tabel mail_ip -------------------- 
CREATE TABLE IF NOT EXISTS `mail_ip` ( 
 `Id` int(11) NOT NULL auto_increment, 
`ip` varchar(20) NOT NULL , 
`time` int(11) NOT NULL  , 
PRIMARY KEY (`Id`) 
 ); 
-- Data Tabel mail_ip -------------------- 
-- Struktur Tabel marks_history -------------------- 
CREATE TABLE IF NOT EXISTS `marks_history` ( 
 `id` int(10) NOT NULL auto_increment, 
`st_code` bigint(20) unsigned NOT NULL , 
`teacher_code` int(10) unsigned NOT NULL , 
`mark` float NOT NULL , 
`lesson_code` int(10) unsigned NOT NULL , 
`max_mark` int(10) NULL , 
`date` datetime NULL , 
`description` varchar(250) NULL  , 
PRIMARY KEY (`id`), 
KEY `FK_marks_history_teachers` (`teacher_code`), 
KEY `FK_marks_history_lessons` (`lesson_code`), 
KEY `FK_marks_history_students` (`st_code`) 
 ); 
-- Data Tabel marks_history -------------------- 
-- Struktur Tabel news -------------------- 
CREATE TABLE IF NOT EXISTS `news` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`date` varchar(50) NOT NULL , 
`title` varchar(250) NOT NULL , 
`text` text NOT NULL  , 
PRIMARY KEY (`id`) 
 ); 
-- Data Tabel news -------------------- 
-- Struktur Tabel parents -------------------- 
CREATE TABLE IF NOT EXISTS `parents` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`personal_code` int(10) unsigned NOT NULL , 
`name` varchar(20) NOT NULL , 
`familly` varchar(30) NOT NULL , 
`email` varchar(60) NULL , 
`password` varchar(100) NOT NULL , 
`mobile` varchar(15) NULL  , 
PRIMARY KEY (`personal_code`), 
UNIQUE KEY `id` (`id`) 
 ); 
-- Data Tabel parents -------------------- 
-- Struktur Tabel room_lessons -------------------- 
CREATE TABLE IF NOT EXISTS `room_lessons` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`lesson_code` int(10) unsigned NOT NULL , 
`teacher_code` int(10) unsigned NOT NULL , 
`room_code` int(10) unsigned NOT NULL  , 
PRIMARY KEY (`id`), 
KEY `FK_room_lessons_lessons` (`lesson_code`), 
KEY `FK_room_lessons_teachers` (`teacher_code`), 
KEY `FK_room_lessons_class_rooms` (`room_code`) 
 ); 
-- Data Tabel room_lessons -------------------- 
INSERT INTO `room_lessons` (`id`, `lesson_code`, `teacher_code`, `room_code` ) VALUES ('2','120','540','100' ); -- Struktur Tabel sms_list -------------------- 
CREATE TABLE IF NOT EXISTS `sms_list` ( 
 `id` int(10) NOT NULL auto_increment, 
`from` varchar(20) NOT NULL , 
`to` varchar(20) NOT NULL , 
`date_time` datetime NOT NULL , 
`text` text NOT NULL , 
`time_stamp` bigint(20) NULL  , 
PRIMARY KEY (`id`) 
 ); 
-- Data Tabel sms_list -------------------- 
-- Struktur Tabel students -------------------- 
CREATE TABLE IF NOT EXISTS `students` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`personal_code` bigint(20) unsigned NOT NULL , 
`name` varchar(20) NOT NULL , 
`familly` varchar(30) NOT NULL , 
`email` varchar(60) NULL , 
`password` varchar(100) NOT NULL , 
`mobile` varchar(15) NULL , 
`room_code` int(10) unsigned NULL , 
`parent_code` int(10) unsigned NULL  , 
PRIMARY KEY (`personal_code`), 
UNIQUE KEY `id` (`id`), 
KEY `FK_students_class_rooms` (`room_code`), 
KEY `FK_students_parents` (`parent_code`) 
 ); 
-- Data Tabel students -------------------- 
INSERT INTO `students` (`id`, `personal_code`, `name`, `familly`, `email`, `password`, `mobile`, `room_code`, `parent_code` ) VALUES ('1','990','میلاد','خضری پور',NULL,'58988fe0d20a622f840b812b992b879b',NULL,'100',NULL ); -- Struktur Tabel teachers -------------------- 
CREATE TABLE IF NOT EXISTS `teachers` ( 
 `id` int(10) unsigned NOT NULL auto_increment, 
`personal_code` int(10) unsigned NOT NULL , 
`name` varchar(20) NOT NULL , 
`familly` varchar(30) NOT NULL , 
`email` varchar(60) NULL , 
`password` varchar(100) NOT NULL , 
`mobile` varchar(15) NULL  , 
PRIMARY KEY (`personal_code`), 
UNIQUE KEY `id` (`id`) 
 ); 
-- Data Tabel teachers -------------------- 
INSERT INTO `teachers` (`id`, `personal_code`, `name`, `familly`, `email`, `password`, `mobile` ) VALUES ('1','540','حسین','رضوی',NULL,'58988fe0d20a622f840b812b992b879b','09371442155' ); 